Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetBotUpdatesStatus

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetBotUpdatesStatus

Enclosing class:
  TdApi

public static final class TdApi.SetBotUpdatesStatus extends TdApi.Function<TdApi.Ok>
Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`errorMessage`
The last error message.
`int`
`pendingUpdateCount`
The number of pending updates.

## Constructor Summary

Constructors
Constructor
Description
`SetBotUpdatesStatus()`
Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.
`SetBotUpdatesStatus(int pendingUpdateCount, String errorMessage)`
Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.
`SetBotUpdatesStatus(DataInput input)`
Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### pendingUpdateCount

public int pendingUpdateCount
The number of pending updates.

### errorMessage

public String errorMessage
The last error message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetBotUpdatesStatus

public SetBotUpdatesStatus()
Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

Returns `Ok`

### SetBotUpdatesStatus

public SetBotUpdatesStatus(int pendingUpdateCount, String errorMessage)
Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

Returns `Ok`

Parameters:
  `pendingUpdateCount` - int The number of pending updates.
  `errorMessage` - String The last error message.

### SetBotUpdatesStatus

public SetBotUpdatesStatus(DataInput input) throws IOException
Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`